Track Agent Vault Position
curl --request GET \
--url https://api.aegisintent.xyz/v1/actions/yield/balance \
--header 'Authorization: Bearer <token>' \
--header 'X-Aegis-Email: <x-aegis-email>'import requests
url = "https://api.aegisintent.xyz/v1/actions/yield/balance"
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Aegis-Email': '<x-aegis-email>', Authorization: 'Bearer <token>'}
};
fetch('https://api.aegisintent.xyz/v1/actions/yield/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"balance": {
"vaultAddress": "<string>",
"shares": "<string>",
"usdcValue": "<string>",
"lockExpiresAt": "<string>"
}
}Actions API
Track Agent Position
Returns the authenticated agent’s current position in the vault. Includes the number of shares held, their current USDC value, and importantly, the lockExpiresAt timestamp that indicates when MEV cooldowns end.
GET
/
v1
/
actions
/
yield
/
balance
Track Agent Vault Position
Check the agent’s current aUSDC balance, USDC value equivalent, and active withdrawal lock (MEV cooldown) status.
Was this page helpful?
⌘I